For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • GETList knowledge base documents
        • DELDelete knowledge base document
        • GETGet knowledge base document
        • PATCHUpdate knowledge base document
        • POSTCreate knowledge base document from URL
        • POSTCreate knowledge base document from text
        • POSTCreate knowledge base document from file
        • GETGet document content
        • GETGet document chunk
        • GETGet source file URL
        • POSTRefresh knowledge base document
        • GETGet RAG chunks for a document
        • PATCHUpdate document file
      • GETSearch knowledge base
      • GETGet dependent agents
      • GETGet knowledge base size
      • GETGet knowledge base summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsKnowledge BaseDocuments

Create knowledge base document from file

POST
/v1/convai/knowledge-base/file
POST
/v1/convai/knowledge-base/file
$curl -X POST https://api.elevenlabs.io/v1/convai/knowledge-base/file \
> -H "Content-Type: multipart/form-data" \
> -F file=@string
1{
2 "id": "string",
3 "name": "string",
4 "folder_path": [
5 {
6 "id": "string"
7 }
8 ]
9}
Create a knowledge base document generated form the uploaded file.
Was this page helpful?
Previous

Get document content

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects a multipart form containing a file.
filefileRequired
Documentation that the agent will have access to in order to interact with users.
namestring or nullOptional>=1 character

A custom, human-readable name for the document.

parent_folder_idstring or nullOptional
If set, the created document or folder will be placed inside the given folder.

Response

Successful Response
idstring
namestring
folder_pathlist of objects
The folder path segments leading to this entity, from root to parent folder.

Errors

422
Unprocessable Entity Error